3 Replies Latest reply: Sep 1, 2012 4:03 AM by gee714
90studio Level 1 Level 1 (0 points)

'This movie requires QuickTime, which is not supported by this version of iTunes.'

 

Why does this happen only for some movies & TV shows? All the rest play fine. I have the latest version of iTunes, and 'yes', it's up to date. I have all my OS updates as well. We purchased an AppleTV a couple of months ago, and I'm beginning to wonder whether it matters whether I buy media through the AppleTV or my computer. Would that cause this error message?

 

I purchased two products through iTunes on my computer (I wanted the standard version of both a movie and a TV show which isn't available through AppleTV, but is through iTunes on my computer). When I went to play it I couldn't, I got the above error message instead. This only started happening after we purchased the AppleTV. Coincidence or the culprit?

 

Has anyone else had this problem?


iTunes video, Mac OS X (10.7.4)